Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Community Manager
443 Views

NCSDK2 Installation Error

I met some problem when I installed NCSDK2 on my machine where the environment is Ubuntu Linux 16.04 (64-bit). I follow the instructions here. My operations are as follow:

 

     

  1. Clone the repository from GitHub:
  2.  

 

$ git clone -b ncsdk2 http://github.com/Movidius/ncsdk

 

     

  1. Perform the Makefile to install:
  2.  

 

$ cd ncsdk && make install

 

     

  1. Then, the error message is as follow:
  2.  

 

... src/caffe/CMakeFiles/caffe.dir/build.make:422: recipe for target 'src/caffe/CMakeFiles/caffe.dir/util/bbox_util.cpp.o' failed make[3]: *** [src/caffe/CMakeFiles/caffe.dir/util/bbox_util.cpp.o] Error 1 src/caffe/CMakeFiles/caffe.dir/build.make:470: recipe for target 'src/caffe/CMakeFiles/caffe.dir/util/io.cpp.o' failed make[3]: *** [src/caffe/CMakeFiles/caffe.dir/util/io.cpp.o] Error 1 make[3]: Leaving directory '/opt/movidius/ssd-caffe/build' CMakeFiles/Makefile2:272: recipe for target 'src/caffe/CMakeFiles/caffe.dir/all' failed make[2]: *** [src/caffe/CMakeFiles/caffe.dir/all] Error 2 make[2]: Leaving directory '/opt/movidius/ssd-caffe/build' Makefile:127: recipe for target 'all' failed make[1]: *** [all] Error 2 make[1]: Leaving directory '/opt/movidius/ssd-caffe/build' Installation failed. Error on line 673 Makefile:47: recipe for target 'install' failed make: *** [install] Error 1

 

Is anyone know how to fix it? I have already searched on the Google and Stackoverflow but I don't get any solution.

Tags (2)
0 Kudos
5 Replies
Highlighted
Community Manager
125 Views

Hi @knew

 

Thank you for reaching out! There may be an issue with the dependencies for Caffe which are causing the failure. Could you try running the following commands to re-install and send me the log file? Are you installing on a fresh Ubuntu install? Try running sudo apt-get update && sudo apt-get upgrade.

 

cd ncsdk make uninstall make clean make install 2>&1 | tee install.log

 

Regards,

 

Jesus
0 Kudos
Highlighted
Community Manager
125 Views

Hello,

 

I'm not using a fresh Ubuntu install.

 

And this is my install log here.

 

Thx.

0 Kudos
Highlighted
Community Manager
125 Views

Hi @knew

 

Thank you for sharing the logs, it appears you have OpenCV version 4.0.1 installed. Other users have reported installation errors when this version is present.

 

Try the following steps to install the NCSDK:

 

     

  1. Uninstall OpenCV v4.0.1
  2.  

  3. make uninstall && make clean (ncsdk directory)
  4.  

  5. make install
  6.  

  7. Re-install OpenCV v4.0.1
  8.  

 

The NCSDK includes a script to install opencv v3.3.0, you may run into other issues as we have not tested v4.0.1.

 

Let me know if this helps!

 

Regards,

 

Jesus
0 Kudos
Highlighted
Community Manager
125 Views

Jesus,

 

Thank you for the help. Your first post helped me solve a BUNCH of issues.

 

Regard,

 

Jeff
0 Kudos
Highlighted
Beginner
119 Views

i am using ubuntu lts 16.04 and installing ncsdk v2 after installing ncsdk 1 but facing this error if you could help me with 

"

Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-2mmjo01w/futures/
You are using pip version 8.1.1, however version 20.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Makefile:47: recipe for target 'install' failed
make: *** [install] Error 131
Installation failed: Command 'sudo -E -H pip3 install  --trusted-host files.pythonhosted.org --trusted-host www.piwheels.org tensorflow==1.11.0' return code=1. Error on line 324 in ./install-utilities.sh.  Will exit

 
 

"

i have updated the pip version but again getting this error

thanks in advance

0 Kudos